<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Categoria;
use App\Http\Requests\CategoriaRequest;

class CategoriaController extends Controller
{
    public function getIndex()
    {
    	$model = new Categoria();
    	$categorias = $model->all();

    	return view('categoria.index', compact('categorias'));
    }

    public function getCreate()
    {
    	return view('categoria.create');
    }

    public function postCreate(CategoriaRequest $request)
    {
    	$model = new Categoria();
    	$model->create($request->all());

    	return redirect()->route('categoria.index');
    }

    public function getEdit($id)
    {
		$model = new Categoria();
    	$categoria = $model->find($id);

    	return view('categoria.edit', compact('categoria'));
    }

    public function putEdit(CategoriaRequest $request)
    {
		$model = new Categoria();
    	$categoria = $model->find($request->id);
    	$categoria->update($request->all());

    	return redirect()->route('categoria.index');
    }

    public function getDelete()
    {
        $model = new Categoria();
        $categoria = $model->find($id);

        $categoria->delete();

        return redirect()->route('categoria.index');
    }
}